eole-proxy - Tache #18977

Scénario # 18928 (Terminé (Sprint)): Vérifier et mettre a niveau la configuration squid sur EOLE 2.6.1
Vérification des parameétres squid

03/02/2017 16:11 - Joél Cuissinat

Statut: Fermé Début: 03/02/2017

Priorité: Normal Echéance:

Assigné a: Joél Cuissinat % réalisé: 100%

Version cible: sprint 2017 4-6 Equipe MENSR Temps estimé: 2.00 heures
Temps passé: 3.50 heures

Description

http://www.squid-cache.org/Doc/config/

Demandes liées:
Lié a Distribution EOLE - Tache #18579: L'upload a travers squid ne fonctionn... Fermé 03/01/2017
Lié a Distribution EOLE - Tache #34094: EOLE 2.9 : logrotate en erreur sur Amon Fermé 25/04/2022

Révisions associées

Révision f9b2b281 - 07/02/2017 12:42 - Joél Cuissinat

minimum_object_size & maximum_object_size déplacés vers la conf commune

Ref: #18977

Révision b47d29c9 - 07/02/2017 16:11 - Joél Cuissinat

Mise a niveau des paramétres squid pour EOLE 2.6.1

Ref: #18977

Révision f0ac15d5 - 07/02/2017 16:25 - Joél Cuissinat

Activation du paramétre Squid : dns_v4_first

Ref: #18977

Historique

#1 - 03/02/2017 16:12 - Joél Cuissinat
- Sujet changé de Vérification des parametre squid a Vérification des paramétres squid
- Statut changé de Nouveau a En cours

- Assigné a mis a Joél Cuissinat

#2 - 03/02/2017 16:24 - Joél Cuissinat
[etc/squid/squid.conf vs /etc/squid/squid2.conf

® minimum_object_size 0 KB et maximum_object_size 32768 KB : ces deux paramétres adaptables dans gen_config sont appliqués pour la 1ére
instance uniquement... (c'est un peu la problématique évoquée dans #14541)

[etc/squid/common-squid1.conf

e pas de pb particulier

[etc/squid/common-squid2.conf
http://www.squid-cache.org/Doc/config/
https://dev-eole.ac-dijon.fr/issues/14541

e forward_max_tries 10 vs 25 => 25

e cache_mem 16 MB vs 256 MB => 256 M

¢ maximum_object_size_in_memory 16 KB vs 512 KB => 512 K

e strip_query_terms off vs on => off (pas de strip, pas de calcul supplémentaire)

e negative_ttl 5 minutes vs 0 seconds => 0

¢ request_header_max_size 20 KB vs 64 KB => 64 KB

e request_body max_size 10 MBvs 0 =>0

e persistent_request_timeout 1 minute vs 2 minutes => 1 minute

¢ client_lifetime 120 minutes vs 1 day => 1 day (1440 minutes)

e check_hostnames on vs off => off (NB : il manque le s final dans le nom de la variable !)

#3 - 03/02/2017 16:56 - Joél Cuissinat
- % réalisé changé de 0 a 50

- Restant a faire (heures) changé de 2.0 a 1.0

#4 - 03/02/2017 17:22 - Joél Cuissinat

- Lié a Tache #18579: L'upload a travers squid ne fonctionne pas toujours ajouté

#5 - 03/02/2017 17:36 - Joél Cuissinat

Au niveau des propositions présentes dans #18579 :
(proposition E2G => valeur Eole/Défault)

e connect_timeout 120 seconds : on doit pouvoir se permettre de doubler notre valeur qui est celle par défaut (1 minutes)
2 minutes ; timeout utilisé pour laisser les "TCP connect" se terminer proprement avant de les couper

request_timeout 30 seconds : a discuter car on était sur la valeur par défaut qui en est loin (5 minutes)

1 minute ; premier "request" aprés le "connect”, si elle n'aboutit pas au bout de "request_timeout", couper la connexion
e read_timeout 50 seconds : idem (15 minutes)

A VOIR, pas de data recue du serveur Web pendant "read_timeout" => couper la connexion
persistent_request_timeout 30 seconds : avec "1 minutes" on est déja en dessous de la valeur par défaut (2 minutes)

2 minutes ; l'option disparait sur squid 4

pconn_timeout 60 seconds : nous sommes a 120 alors que 60 est bien la valeur par défaut (visiblement on avait lu 120 sur un site non officiel :
#8067)

60 seconds ; disparait sur squid 4

e dns_v4_first on : non défini par EOLE (défaut=off)

on ; tant que Amon ne fait que de I'lPV4 (en dur dans le fichier de conf pour I'instant)

positive_dns_ttl 6 hours : 6 hours (défaut=6 hours => OK)

negative_dns_ttl 4 hours : 1 minutes (=défaut chez nous)

1 minutes ; mieux vaut ne pas mettre en cache les erreurs de résolution DNS

#6 - 03/02/2017 17:45 - Joél Cuissinat

L'analyse des révisions effectuées sur eole-proxy montrent que les valeurs n'ont quasiment pas évoluées depuis EOLE 2.3 :)
https://dev-eole.ac-dijon.fr/issues/18579
https://dev-eole.ac-dijon.fr/issues/8067
https://dev-eole.ac-dijon.fr/projects/eole-proxy

#7 - 06/02/2017 15:11 - Klaas TUEBBES

Ajouter l'option :

shutdown_lifetime 1 second

pour un arréte/redémarrage plus rapide de squid.

http://www.squid-cache.org/Doc/config/shutdown_lifetime/

¢a concerne peut-étre une ancienne version, mais j'ai aussi lu :

Caution : If this time is set to be too low then some file descriptors may remain open which will be a performance issue in memory usage.

=>AVOIR

#8 - 06/02/2017 17:39 - Joél Cuissinat
- Assigné a changé de Joél Cuissinat a Klaas TJEBBES

#9 - 06/02/2017 17:39 - Joél Cuissinat
- Assigné a changé de Klaas TJEBBES a Joél Cuissinat

#10 - 06/02/2017 17:40 - Joél Cuissinat
- % réalisé changé de 50 a 100

- Restant a faire (heures) changé de 1.0 a 0.0

#11 - 07/02/2017 09:41 - Scrum Master

- Statut changé de En cours a Résolu

#12 - 08/02/2017 11:07 - Philippe Caseiro

- Statut changé de Résolu a Fermé

#13 - 25/04/2022 14:23 - Joél Cuissinat

- Lié a Tache #34094: EOLE 2.9 : logrotate en erreur sur Amon ajouté
